%define name		ifxjdbc
%define version		2.21
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Informix JDBC (Type 4) driver
License:	IBM Binary Code License
URL:		http://www-306.ibm.com/software/data/informix/tools/jdbc/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	JDBC.2.21.JC5.tar
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Informix JDBC is a pure-Java (Type 4) driver.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -c
# fix files perms
chmod -R go=u-w *
java -cp setup.jar run -silent -P product.installLocation=.

%build

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 lib/ifxjdbc-g.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxjdbc-g-%{version}.jar
install -m 644 lib/ifxjdbc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxjdbc-%{version}.jar
install -m 644 lib/ifxjdbcx-g.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxjdbcx-g-%{version}.jar
install -m 644 lib/ifxjdbcx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxjdbcx-%{version}.jar
install -m 644 lib/ifxlang.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxlang-%{version}.jar
install -m 644 lib/ifxlsupp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxlsupp-%{version}.jar
install -m 644 lib/ifxsqlj-g.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxsqlj-g-%{version}.jar
install -m 644 lib/ifxsqlj.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxsqlj-%{version}.jar
install -m 644 lib/ifxtools-g.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxtools-g-%{version}.jar
install -m 644 lib/ifxtools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ifxtools-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# demo 
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/demo
cp -pr demo/* $RPM_BUILD_ROOT%{_datadir}/%{name}/demo

# javadocs
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf doc/javadoc

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/license
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/doc
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/doc
cp -pr license/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/license

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/license
%{_javadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/doc

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}/demo
%{_datadir}/%{name}/demo/*


%changelog
* Mon Jul 26 2004 Ralph Apel <r.apel at r-apel.de> 0:2.21-1jpp
- release
